package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 周五是否监测(0.否,1.是)枚举类
*
* @author zxfei
*/
public enum HikEventTypeEnum {
    重点人员识别事件(1644175361, "重点人员识别事件"),
    陌生人员识别事件(1644171265, "陌生人员识别事件");
    private Integer value;
    private String desc;

    HikEventTypeEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static HikEventTypeEnum getByValue(Integer value) {
        for (HikEventTypeEnum fridayEnum : HikEventTypeEnum.values()) {
            if (fridayEnum.getValue() == value) {
                return fridayEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (HikEventTypeEnum item : HikEventTypeEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}